END-USER LICENSE AGREEMENT
==========================

for all versions of components
Inetlab.SMPP
Inetlab MM7.NET

IMPORTANT-READ CAREFULLY:

This End-User License Agreement ("LICENSE") is a legal agreement between Licensee (either an individual or a single entity) and InetLab e.U. represented by Svetlana Tsynaeva, for the software package containing this LICENSE, which includes computer software and may include associated "online" or electronic documentation ("SOFTWARE"). The SOFTWARE also includes any updates and supplements to the original SOFTWARE provided to you by InetLab e.U..
By installing, copying or otherwise using the SOFTWARE, you agree to be bound by the terms of this LICENSE. If you do not agree to all the terms of this LICENSE, do not install or use the SOFTWARE.

I SOFTWARE LICENSE
------------------

Copyright laws and international copyright treaties, as well as other intellectual property laws and treaties protect the SOFTWARE. This is a license agreement and NOT an agreement for sale.  InetLab e.U. continues to own the copy of the SOFTWARE contained on the disk or CD-ROM and all copies thereof.

LICENSE TO USE SOFTWARE. 

We provide the following types of licenses under the terms and conditions as set forth below. Each type of License must be obtained or purchased separately. 

1. DEVELOPER LICENSE. If you purchase this type of License, we grant you a non-exclusive, limited Developer License under the following terms and conditions.

   With this type of License the Software can be used by individual developers or smaller teams of up to 3 developers. With this type of License the Software can be used to develop an unlimited number of applications.
     
   This type of License includes the provision of support and software updates from us, over a one-year period.

2. SOURCE CODE LICENSE. If you purchase this type of License, we grant you a non-exclusive, limited Source Code License under the following terms and conditions.

   With this type of License, Source Code can be used by companies and an unlimited number of developers within the company. With this type of License the Source Code can be used to develop an unlimited number of applications.

   This type of License includes full C# source code for the Software. You are allowed to make custom modification to satisfy your specific needs.

   This type of License includes the provision of priority support and updates from us, over a one-year period. 

   Under no circumstances may the source code be used in whole or in part, as the basis for creating a product that provides the same, or substantially the same, functionality as any InetLab e.U. product. Licensee may not distribute the Source Code.

3. TRIAL LICENSE. Licensee may use the Software for a Trial and for such purposes the InetLab e.U. grants Licensee a free, limited, non-exclusive Trial License under the following terms and conditions.

   This type of License is for individual developers only and the Software may be used only for private evaluation and testing of functionality. The Software may not be published in any internet nor intranet project until an appropriate license is purchased. 


II DISTRIBUTION / REDISTRIBUTABLE CODE.
--------------------------------------
1. SAMPLE CODE. In addition to the LICENSE granted in Section 1, InetLab e.U. grants the Licensee the right to use and modify the source code versions of those portions of the SOFTWARE that are identified in the documentation as the Sample Code and located in the "SAMPLES" subdirectory(s) of the SOFTWARE.
2. REDISTRIBUTABLE FILES. In addition to the LICENSE granted in Section 1, InetLab e.U. grants the Licensee a nonexclusive, royalty-free right to distribute the object code version of those portions of the SOFTWARE identified as the redistributable files ("REDISTRIBUTABLE FILES"), provided Licensee complies with the redistribution requirements.

   The following files in the SOFTWARE distribution are considered REDISTRIBUTABLE FILES under this LICENSE:

      * Inetlab.*.dll

3. REDISTRIBUTION REQUIREMENTS. If Licensee redistributes the REDISTRIBUTABLE FILES, he/she agrees to 
      (a) distribute the REDISTRIBUTABLE FILES in object code form only in conjunction with, and as part of her/his software application product which adds significant and primary functionality; 
      (b) include a valid copyright notice on his/her SOFTWARE; and 
      (c) indemnify, hold harmless, and defend InetLab e.U. from and against any claims or lawsuits, including attorney's fees, that arise or result from the use and distribution of his/her software application product.

4. LIMITATIONS. Distribution by the Licensee of any executables, source code or other files distributed by InetLab e.U. as part of this SOFTWARE and not identified as a REDISTRIBUTABLE FILE is prohibited. Redistribution of REDISTRIBUTABLE FILES by Licensee's users without the appropriate redistribution LICENSE is prohibited.

Licensee shall not develop applications that provide an application programmable interface to the SOFTWARE. Licensee shall not develop applications that substantially duplicate the capabilities of the SOFTWARE or, in the reasonable opinion of InetLab e.U., compete with it.

Licensee MAY NOT distribute the SOFTWARE, in any format, to other users for development or compiling purposes. In particular, if Licensee creates a component/control using the SOFTWARE as a constituent component/control, Licensee MAY NOT distribute the component/control created with the SOFTWARE (in any format) to users for being used at design time and/or for development purposes.


III ADDITIONAL RIGHTS AND LIMITATIONS.
-------------------------------------
1. RESTRICTIONS. Licensee may not alter, assign, create derivative works, decompile, disassemble, distribute, give, lease, loan, modify, rent, reverse engineer, sell, sub-license, transfer or translate in any way, by any means or any medium the SOFTWARE. Licensee will use its best efforts and take all reasonable steps to protect the SOFTWARE from unauthorized use, copying or dissemination.

2. SUPPORT SERVICES. InetLab e.U. may provide you with support services related to the SOFTWARE ("Support Services"). Use of Support Services is governed by the policies and programs described in "online" documentation and/or in other InetLab e.U. provided materials. Any supplemental software code provided to you as part of the Support Services shall be considered part of the SOFTWARE and subject to the terms and conditions of this LICENSE. With respect to technical information you provide to InetLab e.U. as part of the Support Services, InetLab e.U. may use such information for its business purposes, including for product support and development. InetLab e.U. will not utilize such technical information in a form that personally identifies Licensee.

3. The SOFTWARE is licensed as a single product and the software programs comprising SOFTWARE may not be separated.

4. TERMINATION. If the SOFTWARE is used in any way not expressly and specifically permitted by this LICENSE, then the LICENSE shall immediately terminate. Upon the termination of the LICENSE, Licensee shall thereafter make no further use of the SOFTWARE, and Licensee shall return or destroy all licensed materials. 

IV UPGRADES, ENHANCEMENTS AND UPDATES. 
--------------------------------------
From time to time, at its sole discretion, InetLab e.U. may provide enhancements, updates, or new versions of the SOFTWARE on its then standard terms and conditions thereof. This Agreement shall apply to such enhancements. Licensee is not entitled to updates or upgrades of the SOFTWARE unless such right is stated in additional agreement between Licensee and InetLab e.U.. If new version of the SOFTWARE is released within thirty (30) days from the day of purchase and the price of new version is equal or smaller than the price of purchased version of the SOFTWARE, Licensee is entitled to a new version at zero cost. Received new version shall be considered part of purchased version of the SOFTWARE and the number of licensed developers will stay the same as granted in Section 1.1. 

V COPYRIGHT. 
------------
All title and intellectual property rights in and to the SOFTWARE (including but not limited to any images, photographs, animations, video, audio, music and text incorporated into the SOFTWARE) and any copies of the SOFTWARE are owned by InetLab e.U. or its suppliers. All title and intellectual property rights in and to the content which may be accessed through use of the SOFTWARE is the property of the respective content owner and may be protected by applicable copyright or other intellectual property laws and treaties. This LICENSE grants Licensee no rights to use such content. InetLab e.U. reserves all rights not expressly granted.

VI LIMITED WARRANTY. 
--------------------
Licensee assumes all responsibility for the selection of the SOFTWARE as appropriate to achieve the results he/she intends. The SOFTWARE and documentation are not represented to be error-free. InetLab e.U. warrants that (a) the SOFTWARE shall perform substantially as described in its documentation for a period of thirty (30) days from purchase, and (b) any Support Services provided by InetLab e.U. shall be substantially as described in our accompanying materials, and our Support Team will make commercially reasonable efforts to solve any problem covered by our warranty.
EXCEPT FOR THE FOREGOING LIMITED WARRANTY AND TO THE MAXIMUM EXTENT PERMITTED BY LAW, THE SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, NON-INFRINGEMENT AND OF FITNESS FOR A PARTICULAR PURPOSE.

VII CUSTOMER REMEDIES. 
----------------------
InetLab e.U. entire liability and Licensee's exclusive remedy shall be, at InetLab e.U. option, either (a) return of the price paid or (b) repair or replacement of the SOFTWARE that does not meet InetLab e.U. Limited Warranty and which is returned to InetLab e.U. with a copy of Licensee's receipt. SOFTWARE purchased other than directly from InetLab e.U. shall be returned to the place where it was purchased. This Limited Warranty is void if failure of the SOFTWARE has resulted from accident, abuse, or misapplication. Any replacement SOFTWARE will be warranted for the remainder of the original warranty period or remainder of the thirty (30) days from the day of purchase, whichever is longer.

VIII NO LIABILITY FOR CONSEQUENTIAL DAMAGES. 
--------------------------------------------
To the maximum extent permitted by law, in no event shall InetLab e.U. or its suppliers be liable for any special, incidental, indirect or consequential damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of use of or inability to use this SOFTWARE, or the failure to provide Support Services, even if InetLab e.U. or its dealer have been advised of the possibility of such damages. In any case, InetLab e.U. entire liability under any provision of this LICENSE shall be limited to the amount actually paid by the licensee for the SOFTWARE.

IX GENERAL PROVISION. 
---------------------
Licensee shall have no right to sub-license any of the rights of this agreement, for any reason. In the event of the breach by Licensee of this Agreement, he/she shall be liable for all damages to InetLab e.U., and this Agreement shall be terminated. If any provision of this Agreement shall be deemed to be invalid, illegal, or unenforceable, the validity, legality, and enforceability of the remaining portions of this Agreement shall not be affected or impaired thereby. In the event of a legal proceeding arising out of this Agreement, the prevailing party shall be awarded all legal costs incurred.

X TAXES AND DUTIES. 
-------------------
Licensee shall be responsible for the payment of all taxes or duties that may now or hereafter be imposed by any authority upon this Agreement for the supply, use, or maintenance of the SOFTWARE, and if any of the foregoing taxes or duties are paid at any time by InetLab e.U., Licensee shall reimburse InetLab e.U. in full upon demand.

XI MISCELLANEOUS. 
-----------------
This Agreement shall be governed by, construed and enforced in accordance with the laws of the Austria. Each party consents to the personal jurisdiction of the Austria and agrees to commence any legal proceedings arising out of this LICENSE shall be conducted solely in the courts located in the Austria. This is the entire agreement between you and InetLab e.U. which supersedes any prior agreement, whether written or oral, relating to this subject matter. Licensee acknowledges that he/she has read this Agreement, understands it, and agrees to be bound by its terms and conditions.
